commit:     29264a5d156fc35c99c3cfa863ac6992d083f1e2
Author:     Stephan Hartmann <stha09 <AT> googlemail <DOT> com>
AuthorDate: Sat Feb 17 18:38:52 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun Feb 18 12:08:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29264a5d

sys-devel/gdb: fix gcore collision on freebsd

Closes: https://bugs.gentoo.org/507456
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/7216

 sys-devel/gdb/gdb-8.1.ebuild  | 5 +++++
 sys-devel/gdb/gdb-9999.ebuild | 7 ++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/sys-devel/gdb/gdb-8.1.ebuild b/sys-devel/gdb/gdb-8.1.ebuild
index d464d985828..8ba27771a09 100644
--- a/sys-devel/gdb/gdb-8.1.ebuild
+++ b/sys-devel/gdb/gdb-8.1.ebuild
@@ -234,6 +234,11 @@ src_install() {
 
        # Remove shared info pages
        rm -f "${ED}"/usr/share/info/{annotate,bfd,configure,standards}.info*
+
+       # gcore is part of ubin on freebsd
+       if [[ ${CHOST} == *-freebsd* ]]; then
+               rm "${ED}"/usr/bin/gcore || die
+       fi
 }
 
 pkg_postinst() {

diff --git a/sys-devel/gdb/gdb-9999.ebuild b/sys-devel/gdb/gdb-9999.ebuild
index 8ae03593af2..553005830a8 100644
--- a/sys-devel/gdb/gdb-9999.ebuild
+++ b/sys-devel/gdb/gdb-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -218,6 +218,11 @@ src_install() {
 
        # Remove shared info pages
        rm -f "${ED}"/usr/share/info/{annotate,bfd,configure,standards}.info*
+
+       # gcore is part of ubin on freebsd
+       if [[ ${CHOST} == *-freebsd* ]]; then
+               rm "${ED}"/usr/bin/gcore || die
+       fi
 }
 
 pkg_postinst() {

Reply via email to